import {
  createErrorType,
  createFetchType,
  createLoadingType,
  createSuccessType,
} from "../actionHelpers";

const ADS_CANDIDATES_SCOPE = "ADS_CANDIDATES";
const FILTER_CANDIDATES_SCOPE = "FILTER_CANDIDATES";

export const FILTER_CANDIDATES = createFetchType(FILTER_CANDIDATES_SCOPE);
export const FILTER_CANDIDATES_ERROR = createErrorType(FILTER_CANDIDATES_SCOPE);
export const FILTER_CANDIDATES_SUCCESS = createSuccessType(FILTER_CANDIDATES_SCOPE);
export const FILTER_CANDIDATES_LOADING = createLoadingType(FILTER_CANDIDATES_SCOPE);

export const ADS_CANDIDATES_FETCH = createFetchType(ADS_CANDIDATES_SCOPE);
export const ADS_CANDIDATES_ERROR = createErrorType(ADS_CANDIDATES_SCOPE);
export const ADS_CANDIDATES_SUCCESS = createSuccessType(ADS_CANDIDATES_SCOPE);
export const ADS_CANDIDATES_LOADING = createLoadingType(ADS_CANDIDATES_SCOPE);

